<template>
  <div
    class="c-card resize bk-white"
    :id="id"
    v-bind:style="{background:color1}"
    style="margin-left:-115px;margin-right:115px;"
  >
    <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 2002 493">
      <g id="Post 5">
        <g id="Design">
          <path id="Shape" :fill="color2" d="M1 1L2001 1L2001 491L1 491L1 1Z" />
        </g>
      </g>
    </svg>
    <div class="c-container-flex m-20">
      <div class="mr-10 mt-50 c-container-flex inline medium">
        <p v-bind:style="{color:color3}" class="o-text xxl semi-bold mb-20">2020</p>
        <p
          class="o-text smaller"
          v-bind:style="{color:color3}"
        >orem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a</p>
        <div class="c-container-control-footer flex-start mt-20">
          <img src="@/assets/img/Linkedin.png" alt />
          <img src="@/assets/img/Pinterest.png" alt />
          <img src="@/assets/img/Twitter.png" alt />
          <img src="@/assets/img/Facebook.png" alt />
        </div>
      </div>
      <div class="c-container-flex inline th3">
        <p class="o-text uppercase bold xl mt-20 mb-15" v-bind:style="{color:color3}">Business</p>
        <p class="o-text uppercase bold xxl mt-15 mb-15" v-bind:style="{color:color2}">Events</p>

        <img src="@/assets/img/woman-cup.png" alt width="90%" class="mt-20" id="woman-cup" />
      </div>
    </div>
  </div>
</template>

<script lang="ts">
import { Component, Prop, Mixins } from "vue-property-decorator";
import { MixinGeneral } from "@/mixins/mixinGeneral";

@Component
export default class CardFour extends Mixins(MixinGeneral) {
  @Prop({ type: String, required: true }) id: any;
  @Prop({ type: String, default: "#00488c" }) color1: any;
  @Prop({ type: String, default: "#ffc031" }) color2: any;
  @Prop({ type: String, default: "#ffffff" }) color3: any;
  @Prop({ type: String, default: "250px" }) height: any;
  @Prop({ type: String, default: "250px" }) width: any;
  @Prop({ type: String, default: "0px" }) marginRight: any;
  @Prop({ type: String, default: "0px" }) marginBottom: any;

  mounted() {
    const Gradient = document.querySelector(`#${this.id}`) as HTMLElement;
    this.setProps(Gradient);
    setTimeout(() => {
      Gradient.style.opacity = "1";
      Gradient.style.marginLeft = "0px";
      Gradient.style.marginRight = this.marginRight;
    }, 10);

    const woman = document.querySelector("#woman-cup") as HTMLElement;
    woman.style.border = "4px solid " + this.color2;
    woman.style.zIndex = "4";
  }
}
</script>

<style scoped lang="scss">
.container-absolute {
  position: absolute;
  bottom: 00px;
  z-index: 11;
  left: 0px;
  width: 100%;
}
</style>